SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001504: Too many rules in interzone makes the ZONEFW chain empty - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001504Endian FirewallFirewall (iptables)public2008-12-09 16:282010-03-04 15:48
Reporterekaftan 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.3Fixed in Version2.3 
Summary0001504: Too many rules in interzone makes the ZONEFW chain empty
DescriptionI have a very large interzone configuration. Everytime the config file gets much over 3k or 30 lines, rc.firewall fails to build a ZONEFW chain and firewall misbehaves.

I am using 2.2.1 release licensed.

I can reproduce at will with a lot of rules.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002751closedpeter-endian Too many rules in dnat/snat makes the chain empty 

-  Notes
(0001846)
peter-endian (administrator)
2008-12-09 20:10

very interesting

could you please start with
restartzonefw.py --debug
and post the output?

and then please the output of:
wc -l /etc/firewall/zonefw/iptableszonefw
(0002749)
peter-endian (administrator)
2009-07-10 19:25

tried with 5424 rules. script will be created, but not installed.
We should not pipe the resulting rules, but write it down to a temporary file and execute that.

- Issue History
Date Modified Username Field Change
2008-12-09 16:28 ekaftan New Issue
2008-12-09 16:28 ekaftan Assigned To => peter-endian
2008-12-09 20:10 peter-endian Note Added: 0001846
2008-12-09 20:11 peter-endian Status new => feedback
2009-06-10 12:58 peter-endian Target Version => future
2009-06-10 12:58 peter-endian Description Updated
2009-06-10 13:04 peter-endian Target Version future => 2.3
2009-07-10 19:24 peter-endian Status feedback => confirmed
2009-07-10 19:25 peter-endian Note Added: 0002749
2009-07-10 22:11 peter-endian Status confirmed => resolved
2009-07-10 22:11 peter-endian Fixed in Version => 2.3
2009-07-10 22:11 peter-endian Resolution open => fixed
2009-10-27 11:59 peter-endian Status resolved => closed
2010-03-04 15:48 peter-endian Issue cloned: 0002751
2010-03-04 15:48 peter-endian Relationship added related to 0002751

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker